read_pc_duplicate <- function (file) 
{
  pc <- list()
  pc$points <- rbind(c(0, 0), read.delim(file, comment.char = "#"))
  pc$fun <- approxfun(pc$points$WindSpeed, pc$points$Power, 
                      method = "linear", yleft = NA, yright = 0)
  pc$attr$RatedPower <- max(pc$points$Power)
  return(pc)
}